#### Description:

This function returns the upper and lower limits of a box which just encompasses the supplied Region. The limits are returned as axis values within the Frame represented by the Region. The value of the Negated attribute is ignored (i.e. it is assumed that the Region has not been negated).

#### Synopsis

void astGetRegionBounds( AstRegion ∗this, double ∗lbnd, double ∗ubnd )

#### Parameters:

##### this

Pointer to the Region.

##### lbnd

Pointer to an array in which to return the lower axis bounds covered by the Region. It should have at least as many elements as there are axes in the Region. If an axis has no lower limit, the returned value will be the largest possible negative value.

##### ubnd

Pointer to an array in which to return the upper axis bounds covered by the Region. It should have at least as many elements as there are axes in the Region. If an axis has no upper limit, the returned value will be the largest possible positive value.

#### Notes:

- The value of the Negated attribute is ignored (i.e. it is assumed that the Region has not been negated).

- If an axis has no extent on an axis then the lower limit will be returned larger than the upper limit. Note, this is different to an axis which has a constant value (in which case both lower and upper limit will be returned set to the constant value).

- If the bounds on an axis cannot be determined, AST__BAD is returned for both upper and lower bounds

Copyright (C) 2021 East Asian Observatory